From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1014495-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 416811382C5
	for <garchives@archives.gentoo.org>; Mon,  2 Apr 2018 09:13:52 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 4B9B0E0D82;
	Mon,  2 Apr 2018 09:13:51 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 2873DE0D82
	for <gentoo-commits@lists.gentoo.org>; Mon,  2 Apr 2018 09:13:49 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B5C8033BF5B
	for <gentoo-commits@lists.gentoo.org>; Mon,  2 Apr 2018 09:13:48 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id A32B8274
	for <gentoo-commits@lists.gentoo.org>; Mon,  2 Apr 2018 09:13:46 +0000 (UTC)
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Pacho Ramos" <pacho@gentoo.org>
Message-ID: <1522660418.c854b3761b3d0bd56d5087f5967bfb579807652a.pacho@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/air/
X-VCS-Repository: repo/gentoo
X-VCS-Files: app-forensics/air/air-2.0.0-r2.ebuild
X-VCS-Directories: app-forensics/air/
X-VCS-Committer: pacho
X-VCS-Committer-Name: Pacho Ramos
X-VCS-Revision: c854b3761b3d0bd56d5087f5967bfb579807652a
X-VCS-Branch: master
Date: Mon,  2 Apr 2018 09:13:46 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: a5e6a002-3c62-46ae-8eb1-d51f8c1f4039
X-Archives-Hash: 5ede7824a52d886e63b86efa70b8c0d1

commit:     c854b3761b3d0bd56d5087f5967bfb579807652a
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  2 08:46:29 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Apr  2 09:13:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c854b376

app-forensics/air: Allow more netcat alternatives (#483438)

Package-Manager: Portage-2.3.27, Repoman-2.3.9

 app-forensics/air/air-2.0.0-r2.ebuild | 51 +++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/app-forensics/air/air-2.0.0-r2.ebuild b/app-forensics/air/air-2.0.0-r2.ebuild
new file mode 100644
index 00000000000..733bedeb8e4
--- /dev/null
+++ b/app-forensics/air/air-2.0.0-r2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A GUI front-end to dd/dc3dd"
+HOMEPAGE="http://air-imager.sourceforge.net/"
+SRC_URI="mirror://sourceforge/air-imager/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="crypt"
+
+# coreutils are needed for /usr/bin/split binary
+COMMON_DEPEND="userland_GNU? ( sys-apps/coreutils )"
+
+DEPEND="${COMMON_DEPEND}
+	>=dev-perl/Tk-804.27.0
+	userland_GNU? ( app-arch/sharutils )
+"
+# TODO: air can utilize dc3dd, but it is not in portage ATM
+RDEPEND="${COMMON_DEPEND}
+	|| (
+		net-analyzer/netcat6
+		net-analyzer/netcat
+		net-analyzer/gnu-netcat
+	)
+	app-arch/mt-st
+	crypt? ( net-analyzer/cryptcat )
+"
+
+src_install() {
+	export PERLTK_VER=`perl -e 'use Tk;print "$Tk::VERSION";'`
+
+	env INTERACTIVE=no INSTALL_DIR="${D}/usr" TEMP_DIR="${T}" \
+		FINAL_INSTALL_DIR=/usr \
+		./install-${P} \
+		|| die "failed to install - please attach ${T}/air-install.log to a bug report at https://bugs.gentoo.org"
+
+	einstalldocs
+	dodoc "${T}/air-install.log"
+
+	fowners root:users /usr/share/air/logs
+	fperms ug+rwx /usr/share/air/logs
+	fperms a+x /usr/bin/air
+
+	mkfifo "${D}usr/share/air/air-fifo" || die "pipe creation failed"
+	fperms ug+rw /usr/share/air/air-fifo
+	fowners root:users /usr/share/air/air-fifo
+}